libxml++ 2.35.3

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
xmlpp::SaxParser::Attribute Struct Reference

Simple structure used in the start_element callback, in which the attributes are a list of name/value pairs. More...

`#include <libxml++/parsers/saxparser.h>`

Collaboration diagram for xmlpp::SaxParser::Attribute:
[legend]

List of all members.

## Public Member Functions

| Attribute (Glib::ustring const& n, Glib::ustring const& v)

## Public Attributes

Glib::ustring | name
Glib::ustring | value

## Detailed Description

Simple structure used in the start_element callback, in which the attributes are a list of name/value pairs.

## Constructor & Destructor Documentation

xmlpp::SaxParser::Attribute::Attribute | ( | Glib::ustring const & | n,
|  | Glib::ustring const & | v
| ) |  | `[inline]`

## Member Data Documentation

Glib::ustring xmlpp::SaxParser::Attribute::name

Glib::ustring xmlpp::SaxParser::Attribute::value

The documentation for this struct was generated from the following file:

- parsers/saxparser.h